首页 python正文

python安装apscheduler出现Requirement already satisfied错误

启明SEO python 2020-12-21 14:11:28 203 0 apschedulerpython错误

今天想了解下python定时起床的脚步写法,看了相关文章后,发现需要安装apscheduler包才可以。本来很简单的事情,但是在安装这个包的时候报错了。

python安装apscheduler出现Requirement already satisfied错误

最开始使用的是直接pip install apscheduler,报错了,提示:

Requirement already satisfied: apscheduler in d:\python37\lib\site-packages (3.6.3)

Requirement already satisfied: pytz in d:\python37\lib\site-packages (from apscheduler) (2019.3)

Requirement already satisfied: six>=1.4.0 in d:\python37\lib\site-packages (from apscheduler) (1.14.0)

Requirement already satisfied: setuptools>=0.7 in d:\python37\lib\site-packages (from apscheduler) (40.8.0)

Requirement already satisfied: tzlocal>=1.2 in d:\python37\lib\site-packages (from apscheduler) (2.1)


后来使用pip3 install apscheduler还是报错,这就让我有些郁闷了,好好的怎么会这样呢。百度一下,发现也有很多人遇到了同样的错误,具体的解决方法也简单,输入pip install --target=d:\python37\lib\site-packages apscheduler这个命令就可以成功安装了。--target=后面是自己python执行文件安装目录。

python安装apscheduler出现Requirement already satisfied错误


原以为正常了,但是安装只有,又有下面这种提示,百度翻译一下,是说目标已经存在了。


评论